Dpkg::Changelog::Entry::Debian(3)

NAME
Dpkg::Changelog::Entry::Debian - represents a Debian changelog entry

DESCRIPTION
This object represents a Debian changelog entry. It implements the generic interface Dpkg::Changelog::Entry. Only functions specific to this implementation are described below.

VARIABLES
$regex_header, $regex_trailer are two regular expressions that can be used to match a line and know whether it's a valid header/trailer line.

The matched content for $regex_header is the source package name ($1), the version ($2), the target distributions ($3) and the options on the rest of the line ($4). For $regex_trailer, it's the maintainer name ($1), its email ($2), some blanks ($3) and the timestamp ($4).

FUNCTIONS

my @items = $entry->get_change_items()
    Return a list of change items. Each item contains at least one line. A change line starting with an asterisk denotes the start of a new item. Any change line like "[ Raphaël Hertzog ]" is treated like an item of its own even if it starts a set of items attributed to this person (the following line necessarily starts a new item).

my @errors = $entry->check_header()
my @errors = $entry->check_trailer()
    Return a list of errors. Each item in the list is an error message describing the problem. If the empty list is returned, no errors have been found.

$entry->normalize()
    Normalize the content. Strip whitespaces at end of lines, use a single empty line to separate each part.

UTILITY FUNCTIONS
my @closed_bugs = find_closes($changes)

Takes one string as argument and finds "Closes: #123456, #654321" statements as supported by the Debian Archive software in it. Returns all closed bug numbers in an array.

AUTHOR
Raphaël Hertzog <hertzog@debian.org>.